From fa89895cca2674747d4c577673abb1272907e4f2 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 5 Dec 2011 11:55:47 -0600
Subject: Modified javascript to allow image popout.

---
 grade/report/grader/module.js |   33 +++++++++++++++++++++++++++++++--
 1 files changed, 31 insertions(+), 2 deletions(-)

diff --git a/grade/report/grader/module.js b/grade/report/grader/module.js
index 16f710a..21d5f30 100644
--- a/grade/report/grader/module.js
+++ b/grade/report/grader/module.js
@@ -50,7 +50,7 @@ M.gradereport_grader = {
             show : function(e, report) {
                 e.halt();
 
-                var properties = report.get_cell_info(e.target);
+                var properties = report.get_image_or_cell_info(e.target);
                 if (!properties) {
                     return;
                 }
@@ -127,6 +127,12 @@ M.gradereport_grader.classes.report = function(Y, id, cfg, items, users, feedbac
         if (tr.getAttribute('id').match(/^(fixed_)?user_(\d+)$/)) {
             // Highlight rows
             tr.all('th.cell').on('click', this.table_highlight_row, this, tr);
+            // Popout image
+            tr.all('th.cell div.userpic img.userpicture').each(function(img) {
+                if (img.get('className') === "userpicture") {
+                    M.gradereport_grader.tooltip.attach(img, this);
+                }
+            }, this);
             // Display tooltips
             tr.all('td.cell').each(function(cell){
                 M.gradereport_grader.tooltip.attach(cell, this);
@@ -165,6 +171,29 @@ M.gradereport_grader.classes.report.prototype.users = [];             // Array c
 M.gradereport_grader.classes.report.prototype.feedback = [];          // Array containing feedback items
 M.gradereport_grader.classes.report.prototype.ajaxenabled = false;    // True is AJAX is enabled for the report
 M.gradereport_grader.classes.report.prototype.ajax = null;            // An instance of the ajax class or null
+
+M.gradereport_grader.classes.report.prototype.get_image_or_cell_info = function(arg) {
+    if (arg instanceof this.Y.Node && arg.get('nodeName').toUpperCase() === 'IMG') {
+        return this.get_image_info(arg);
+    } else {
+        return this.get_cell_info(arg);
+    }
+};
+
+M.gradereport_grader.classes.report.prototype.get_image_info = function(img) {
+    var src = img.getAttribute('src');
+
+    var userid = img.ancestor('tr').getAttribute('id').split('_')[2];
+
+    var img_source = "<img class='profile_popout' src='" + src.replace("f2", "f1") + "'/>";
+
+    return {
+        username: this.users[userid],
+        itemname: img_source,
+        cell: img
+    };
+};
+
 /**
  * Highlights a row in the report
  *
@@ -1197,4 +1226,4 @@ for (var i in M.gradereport_grader.classes.textfield.prototype) {
     if (!M.gradereport_grader.classes.scalefield.prototype[i]) {
         M.gradereport_grader.classes.scalefield.prototype[i] = M.gradereport_grader.classes.textfield.prototype[i];
     }
-}
\ No newline at end of file
+}
-- 
1.7.1


